%define major		0
%define libname		%mklibname %{name} %{major}
%define libnamedev	%mklibname %{name} -d


Summary:	Opus Interactive Audio Codec
Name:		opus
Version:	1.5.2
Release:	%mkrel 1
License:	BSD
Group:		Sound/Utilities
URL:		https://www.opus-codec.org/
Source0:	https://downloads.xiph.org/releases/%{name}/%{name}-%{version}.tar.gz
BuildRequires:	doxygen

%description
The Opus codec is designed for interactive speech and audio transmission over
the Internet. It is designed by the IETF Codec Working Group and incorporates
technology from Skype's SILK codec and Xiph.Org's CELT codec.

%package -n	%{libname}
Summary:	Opus library
Group:		System/Libraries

%description -n	%{libname}
This package provides the library that implements the Opus codec.
The Opus codec is designed for interactive speech and audio transmission over
the Internet. It is designed by the IETF Codec Working Group and incorporates
technology from Skype's SILK codec and Xiph.Org's CELT codec.

%package -n	%{libnamedev}
Summary:	Files needed to compile a program with Opus support
Group:		Development/C
Requires:	%{libname} = %{version}
Provides:	opus-devel = %{version}

%description -n	%{libnamedev}
This package provides the library that implements the Opus codec.

%prep
%autosetup -p1

%build
%configure --enable-custom-modes \
           --disable-static \
%ifarch %{arm} %{arm64} %{power64}
           --enable-fixed-point \
%endif
           --enable-hardening
%make_build

%install
%make_install

find %{buildroot} -type f -name "*.la" -delete

%files -n %{libname}
%doc README
%license COPYING
%{_libdir}/lib%{name}.so.%{major}{,.*}

%files -n %{libnamedev}
%{_includedir}/%{name}/
%{_libdir}/lib%{name}.so
%{_libdir}/pkgconfig/%{name}.pc
%{_datadir}/aclocal/opus.m4
%{_mandir}/man3/%{name}*.3*
%{_docdir}/%{name}/


%changelog
* Mon Apr 29 2024 daviddavid <daviddavid> 1.5.2-1.mga10
+ Revision: 2061660
- new version: 1.5.2

* Sat Mar 09 2024 daviddavid <daviddavid> 1.5.1-1.mga10
+ Revision: 2048854
- new version: 1.5.1

* Mon May 22 2023 daviddavid <daviddavid> 1.4-1.mga9
+ Revision: 1957782
- new version: 1.4

* Fri Mar 18 2022 umeabot <umeabot> 1.3.1-4.mga9
+ Revision: 1798680
- Mageia 9 Mass Rebuild

* Thu Jan 28 2021 daviddavid <daviddavid> 1.3.1-3.mga8
+ Revision: 1673780
- add upstream patch to fix celt decoder assertion when using OPUS_CUSTOM (mga#28236)

* Sat Feb 15 2020 umeabot <umeabot> 1.3.1-2.mga8
+ Revision: 1526279
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sun May 12 2019 luigiwalser <luigiwalser> 1.3.1-1.mga7
+ Revision: 1397340
- 1.3.1

* Wed Oct 24 2018 tv <tv> 1.3-1.mga7
+ Revision: 1324855
- new release

* Sun Sep 23 2018 umeabot <umeabot> 1.2.1-2.mga7
+ Revision: 1300055
- Mageia 7 Mass Rebuild

* Sat Jul 08 2017 luigiwalser <luigiwalser> 1.2.1-1.mga7
+ Revision: 1109554
- 1.2.1
- 1.2

* Sun May 28 2017 luigiwalser <luigiwalser> 1.1.5-1.mga6
+ Revision: 1105359
- 1.1.5
- update source URL

* Mon Jan 23 2017 akien <akien> 1.1.4-1.mga6
+ Revision: 1083101
- Version 1.1.4 (upstreams CVE-2017-0381 patch)

* Sat Jan 21 2017 luigiwalser <luigiwalser> 1.1.3-2.mga6
+ Revision: 1082863
- add patch from fedora to fix CVE-2017-0381

* Thu Aug 11 2016 luigiwalser <luigiwalser> 1.1.3-1.mga6
+ Revision: 1045520
- 1.1.3

* Mon Jan 25 2016 luigiwalser <luigiwalser> 1.1.2-1.mga6
+ Revision: 927178
- 1.1.2

* Thu Jun 25 2015 tv <tv> 1.1.1-0.1.beta.mga6
+ Revision: 843035
- new beta (SSE optimisations)

* Wed Oct 15 2014 umeabot <umeabot> 1.1-3.mga5
+ Revision: 743104
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.1-2.mga5
+ Revision: 683267
- Mageia 5 Mass Rebuild

* Thu Feb 06 2014 fwang <fwang> 1.1-1.mga5
+ Revision: 584181
- new version 1.1

* Sat Oct 19 2013 umeabot <umeabot> 1.0.3-2.mga4
+ Revision: 529879
- Mageia 4 Mass Rebuild

* Sat Jul 13 2013 mitya <mitya> 1.0.3-1.mga4
+ Revision: 453929
- New version 1.0.3
- Enable custom API (needed by new Jack)

* Sun Jan 13 2013 umeabot <umeabot> 1.0.2-2.mga3
+ Revision: 362190
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Dec 17 2012 tv <tv> 1.0.2-1.mga3
+ Revision: 332003
- new release

* Sun Nov 18 2012 dlucio <dlucio> 1.0.1-2.mga3
+ Revision: 319441
- fix filelist

* Thu Oct 18 2012 tv <tv> 1.0.1-1.mga3
+ Revision: 307963
- adjust file list
- fix %%install
- fix group
- new release

* Mon Aug 06 2012 tv <tv> 0.9.14-1.mga3
+ Revision: 279268
- imported package opus


* Mon Aug 06 2012 Thierry Vignaud <tv@mageia.org> 0.9.14-1.mga3
- initial release
